


# Statistics with R - Second Edition
# Robert Stinerock


#             HOW TO FIND BINOMIAL PROBABILITIES


#     SEE EXAMPLES 5.3 AND 5.4 OF CHAPTER 5, SECTION 5.4

#----------------------------------------------------------------------------



# (1) Binomial probability: p(x = 2, n = 3, p = 0.50) 

x <- 2

n <- 3

p <- 0.50

dbinom(x, n, p)


# (2) Binomial probability: p(x <= 1, n = 3, p = 0.50) 

x <- 1

n <- 3

p <- 0.50

pbinom(x, n, p)




# (3) Binomial probability: p(x >= 2, n = 3, p = 0.50) 

x <- 1

n <- 3

p <- 0.50


1 - pbinom(x, n, p)




# (4) Binomial probabilty: p(1 <= x <= 2, n = 3, p = 0.50)

x2 <- 2

x1 <- 0

n <- 3

p <- 0.50

pbinom(x2, n, p) - dbinom(x1, n, p)


# (5) Binomial probability: p(x = 1, n = 3, p = 0.50) + p(x = 2, n = 3, p = 0.50)

sum(dbinom(1 : 2, 3, 0.50))




























                          