


# Statistics with R - Second Edition
# Robert Stinerock



#                     HOW TO FIND HYPERGEOMETRIC PROBABILITIES


#                     SEE CHAPTER 5, SECTION 5.6

#----------------------------------------------------------------------------


# (1) Hypergeometric probability: p(x = 3, N = 24, r = 12, n = 6)

N <- 24

r <- 12

n <- 6

x <- 3

dhyper(x, r, N - r, n)




# (2) Hypergeometric probability: p(x <= 3, N = 24, r = 12, n = 6) 

N <- 24

r <- 12

n <- 6

x <- 3

phyper(x, r, N - r, n)




# (3) Hypergeometric probability: p(x >= 4, N = 24, r = 12, n = 6)

N <- 24

r <- 12

n <- 6

x <- 3

1 - phyper(x, r, N - r, n)




# (4) Hypergeometric probabilty: p(2 <= x <= 4) 

N <- 24

r <- 12

n <- 6

x2 <- 4

x1 <- 1


phyper(x2, r, N - r, n) - phyper(x1, r, N - r, n)
