

# Statistics with R - Second Edition
# Robert Stinerock


#   HOW TO TEST IF POPULATION PROPORTIONS ARE EQUAL FROM ONE GROUP 
#             TO ANOTHER


#               SEE EXAMPLE 11.12 OF CHAPTER 11, SECTION 11.3

#----------------------------------------------------------------------------

# Use the prop.test() function to test if the population 
# proportions are equal from one group to another.  

options(scipen = 999) # overrides default of reporting very large and 
# very small values in scientific notation

vaccine_yes <- c(749, 558)
total <- c(1337, 1214)
prop.test(vaccine_yes, total, conf.level = 0.95, correct = FALSE)