


# Statistics with R - Second Edition
# Robert Stinerock


#       HYPOTHESIS TESTS OF THE POPULATION MEAN: TWO-TAIL AND ONE-TAIL TESTS


#               SEE EXAMPLE 10.8 OF CHAPTER 10, SECTION 10.3

#----------------------------------------------------------------------------


elderly <- read.csv('elderly.csv') # Import elderly.csv into R Workspace


# (1)  Two-tail test of population mean of elderly$savings

t.test(elderly$savings, mu = 65000) # this is a two-tail test




# (2) Lower-tail test of population mean of elderly$savings

t.test(elderly$savings, mu = 65000, alternative = 'l')




# (3) Upper-tail test of population mean of elderly$savings

t.test(elderly$savings, mu = 65000, alternative = 'g')