## Statistics with R - Second edition
## Robert Stinerock

# MEASURES OF CENTRAL TENDENCY: (1) MEAN, (2) MEDIAN, AND (3) MODE


#     SEE EXAMPLES 3.1, 3.2, AND 3.4 OF CHAPTER 3, SECTION 3.1


#-----------------------------------------------------------------

housing <- read.csv('housing.csv')  # Import the housing.csv data


# (1) Mean

mean(housing$rent)



# (2) Median

median(housing$rent)



# (3) Mode: we may use table() but sort(table()) can make it easier to identify
# that both 3740 and 3975 occur three times

sort(table(housing$rent))




                     