
## Statistics with R - Second edition
## Robert Stinerock

# MEASURES OF LOCATION: PERCENTILES and QUARTILES


#         SEE EXAMPLE 3.6 OF CHAPTER 3, SECTION 3.2


#-----------------------------------------------------------------

housing <- read.csv('housing.csv')  # Import the housing.csv data



# To find the three quartiles and the 90th percentile; using the probs = c()
# argument, we can find any percentile we like.

quantile(housing$rent, type = 2, probs = c(0.25, 0.50, 0.75, 0.90))



# To find the summary() statistics with one function: mean, median, maximum,
# minimum, first and third quartiles

summary(housing$rent)



