


# Statistics with R - Second Edition
# Robert Stinerock



#   HOW TO TEST IF POPULATION MEANS ARE EQUAL FROM ONE GROUP 
#             TO ANOTHER: PAIRED SAMPLES


#          SEE EXAMPLE 11.7 OF CHAPTER 11, SECTION 11.2

#----------------------------------------------------------------------------

# Test if old and new are equal; also find the 95% confidence 
# interval estimate of the difference between the two variables. 


cad <- read.csv('cad.csv') # Import the cad.csv data.


names(cad) # Identify the variable names.


t.test(cad$old, cad$new, conf.level = 0.95, paired = TRUE) # Use t.test().




