

# Statistics with R - Second Edition
# Robert Stinerock

#   HOW TO FIND THE SAMPLE SIZE FOR A HYPOTHESIS TEST OF A POPULATION MEAN


#               SEE EXAMPLE 10.19 OF CHAPTER 10, SECTION 10.7

#----------------------------------------------------------------------------


# Note: each script consists of arguments such as alpha, beta, sigma,
# mu_0, and m_a plus the R functions. 


# Determine sample size for Example 10.19: alpha = 0.05; beta = 0.20;
# sigma = 18; mu_0 = 550; mu_a = 544.

alpha <- 0.05

beta <- 0.20

sigma <- 18

mu_0 <- 550

mu_a <- 544 

n <- ((qnorm(1 - alpha) + qnorm(1 - beta)) * (sigma) / (mu_0 - mu_a)) ^ 2 ; n
