

# Statistics with R - Second Edition
# Robert Stinerock

#     HOW TO FIND A THE CONFIDENCE INTERVAL ESTIMATE OF A POPULATION MEAN


#             SEE EXAMPLE 8.12 OF CHAPTER 8, SECTION 8.2

#----------------------------------------------------------------------------




# (1)  How to find 95% confidence interval estimate of the mean of tv_hours$hours



tv_hours <- read.csv('tv_hours.csv') # Import tv_hours.csv to R Workspace

confidence <-  0.95

t.test(tv_hours$hours, conf = confidence)




# (2) How to find the 90% confidence interval estimate of the mean of tv_hours$hours



confidence <-  0.90

t.test(tv_hours$hours, conf = confidence)




# (3) How to find the 99% confidence interval estimate of the mean of tv_hours$hours



confidence <-  0.99

t.test(tv_hours$hours, conf = confidence)


