## Statistics With R--Second Edition
## Robert Stinerock

#                         HOW TO MAKE A DOT CHART

#       SEE FIGURE 2.2 IN CHAPTER 2, SECTION 2.1

#-----------------------------------------------------------------

# (1) Make the data set (from Chapter 2, Section 2.1)

C2_1 <- c(rep('Latin', 3), rep('Europe', 4), rep('US', 8),
          rep('India', 10), rep('China', 15))

C2_2 <- table(C2_1); C2_2

C2_3 <- C2_2 / sum(C2_2); C2_3



# (2) Make the dot chart image of the student origin data.

dotchart(sort(C2_3), xlab = 'Relative Frequencies of Nation/Region',
         main = 'A Dot Chart of Student Origin Data',
         xlim = c(0, 0.40), pch = 19, col = 'black')