
# Statistics with R - Second Edition
# Robert Stinerock


#       HOW TO FIND EXPONENTIAL PROBABILITIES


#     SEE EXAMPLES 6.23, 6.25, and 6.27  OF CHAPTER 6, SECTION 6.3

#----------------------------------------------------------------------------

# (1) Exponential probability: If the mean interval length between occurrences 
# is 3, what is the probability that the length will be less than 2?  That is,
# what is p(x < 2, mu = 3)

x <- 2

mu <- 1/3

pexp(x, mu)




# (2) Exponential probability:  If the mean interval length between occurrences 
# is 3, what is the probability that the length will be greater than 3?  That is,
# what is p(x > 3, mu = 3)

x <- 3

mu <- 1/3

pexp(x, mu, lower.tail = FALSE)


# or


1 - pexp(x, mu)


# (3) Exponential probability: If the mean interval length between occurrences 
# is 3, what is the probability that the length will be between 2 and 5?  That is,
# what is p(2 < x < 5, mu = 3)

x2 <- 5

x1 <- 2

mu <- 1/3

pexp(x2, mu) - pexp(x1, mu)

