

# Statistics with R - Second Edition
# Robert Stinerock

#   HOW TO TEST IF POPULATION MEANS ARE EQUAL FROM ONE GROUP 
#             TO ANOTHER: INDEPENDENT SAMPLES


#               SEE EXAMPLE 11.4 OF CHAPTER 11, SECTION 11.1

#----------------------------------------------------------------------------


# If the population variances are unknown:

holidays <- read.csv('holidays.csv') # Import holidays.csv data.

names(holidays) # Identify variable names.

t.test(holidays$algarve, holidays$cascais, conf.level = 0.95) # Use t.test()




# If we can assume the population variances are equal:

t.test(holidays$algarve, holidays$cascais, conf.level = 0.95, var.equal = TRUE)


